function Create(self)
	self.Parent = nil;
	self.PlayerTeam = Activity.TEAM_1;
	--Find out who shot the weapon by finding the closest actor within 30 pixels.
    local curdist = 50;
	
    for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist then
			curdist = dist;
			self.Parent = actor;
			-- print (self.Parent);
		end
    end
end

function Destroy(self)
	local part = nil;
	local dist = 0;
	local curdist = 25;
	local chosenpart = nil;

	--Cycle through all MOs and see which is the closest.
	for i = 1 , MovableMan:GetMOIDCount() - 2 do
		part = MovableMan:GetMOFromID(i);
		if part.ClassName ~= "MOSParticle" and part.ClassName ~= "MOPixel" and part.ClassName ~= "HDFirearm" and part.ClassName ~= "HeldDevice" and part.ClassName ~= "Attachable" then
			part = ToMovableObject(part);
			if part ~= nil then
				dist = math.sqrt((self.Pos.X - part.Pos.X) ^ 2 + (self.Pos.Y - part.Pos.Y) ^ 2);
				if dist < curdist then
					curdist = dist;
					chosenpart = part;
				end
			end
		end
	end

	--If a part was found in the range, find its parent actor and send the information on to a new object to apply damage.
	if chosenpart ~= nil then
		for actor in MovableMan.Actors do
			-- Hacky way to avoid suicides with this gun for a mission. 
			-- Delete this if when modifying for scirmish game
			if actor.Team ~= self.PlayerTeam then
				if chosenpart.RootID == actor.ID then
					if MovableMan:IsActor(self.Parent) then
						if actor.ID ~= self.Parent.ID then
							local wound = CreateMOSRotating("Dart Hit Wound Light");
							--The mass will be unused for the other object, so store the actor's ID as that.
							wound.Mass = actor.ID;
							MovableMan:AddParticle(wound);
						else
							-- print ("DartGun: Self Hit!");
						end
					else
						local wound = CreateMOSRotating("Dart Hit Wound Light");
						--The mass will be unused for the other object, so store the actor's ID as that.
						wound.Mass = actor.ID;
						MovableMan:AddParticle(wound);
					end
				end
			end
		end
	end
end