function Create(self)
	--Who to hurt.
	self.victim = MovableMan:GetMOFromID(self.Mass);

	--Determine the type of actor so we can access its info.
	if self.victim.ClassName == "AHuman" then
		self.victim = ToAHuman(self.victim);
	elseif self.victim.ClassName == "ACrab" then
		self.victim = ToACrab(self.victim);
	else
		--If it is neither quadroped nor biped, erase this as it is not the type of actor we can hurt.
		self.ToDelete = true;
	end

	--Get the total mass of the victim.
	self.victimmass = 0;
	local mo = nil;
	if self.ToDelete == false then
		for i=1,MovableMan:GetMOIDCount() - 1 do
			mo = MovableMan:GetMOFromID(i);
			if mo.RootID == self.victim.ID and mo.ClassName ~= "HDFirearm" and mo.ClassName ~= "HeldDevice" then
				self.victimmass = self.victimmass + mo.Mass;
			end
		end
	end

	--How long to wait between inflicting 1 point of damage.
	self.hurtinterval = self.victimmass / 4;

	--Timer to wait out intervals.
	self.hurttimer = Timer();

	--How many points of damage have been caused.
	self.hurtcount = 0;

	--How long to hurt the victim for.  Calculate it based on a bit of chance and more heavily weighted on the victim's weight.
	self.hurtlength = 90 + math.random(20);
end

function Update(self)
	if MovableMan:IsActor(self.victim) then
		--If the actor still exists and the timer is up, hurt it.
		if self.hurttimer:IsPastSimMS(self.hurtinterval) then
			self.victim.Health = self.victim.Health - 1;
			self.hurtcount = self.hurtcount + 1;
			self.hurttimer:Reset();
			--If the pain has gone on for long enough, destroy this.
			if self.hurtcount >= self.hurtlength then
				self.ToDelete = true;
			end
		end
	else
		--If the actor is gone or dead, destroy this.
		self.ToDelete = true;
	end
end